---
apiVersion: v1
kind: Service
metadata:
  annotations:
    app.quarkus.io/commit-id: 632af8e06563eb1a0efb8c52af80cfdc79b14f9a
    app.quarkus.io/build-timestamp: 2021-11-03 - 14:35:52 +0000
  labels:
    app.kubernetes.io/name: automationservice
    app.kubernetes.io/version: 0.0.1
    app: automationservice
  name: automationservice
spec:
  ports:
    - name: http
      port: 8080
      targetPort: 8080
    - name: grpc-server
      port: 9999
      targetPort: 9999
  selector:
    app.kubernetes.io/name: automationservice
    app.kubernetes.io/version: 0.0.1
  type: NodePort
---
apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    app.quarkus.io/commit-id: 632af8e06563eb1a0efb8c52af80cfdc79b14f9a
    app.quarkus.io/build-timestamp: 2021-11-03 - 14:35:52 +0000
  labels:
    app: automationservice
    app.kubernetes.io/name: automationservice
    app.kubernetes.io/version: 0.0.1
  name: automationservice
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/name: automationservice
      app.kubernetes.io/version: 0.0.1
  template:
    metadata:
      annotations:
        app.quarkus.io/commit-id: 632af8e06563eb1a0efb8c52af80cfdc79b14f9a
        app.quarkus.io/build-timestamp: 2021-11-03 - 14:35:52 +0000
      labels:
        app: automationservice
        app.kubernetes.io/name: automationservice
        app.kubernetes.io/version: 0.0.1
    spec:
      containers:
        - env:
            - name: KUBERNETES_NAMESPACE
              valueFrom:
                fieldRef:
                  fieldPath: metadata.namespace
          image: registry.gitlab.com/teraflow-h2020/controller/automation:0.0.1
          imagePullPolicy: Always
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /q/health/live
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 5
            periodSeconds: 45
            successThreshold: 1
            timeoutSeconds: 10
          name: automationservice
          ports:
            - containerPort: 8080
              name: http
              protocol: TCP
            - containerPort: 9999
              name: grpc-server
              protocol: TCP
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: /q/health/ready
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 5
            periodSeconds: 45
            successThreshold: 1
            timeoutSeconds: 10
